For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
        • GETList Items
        • GETGet Item
        • POSTCreate Items
        • PATCHUpdate Items
        • DELDelete Items
        • POSTPublish Items
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
CMSCollection ItemsStaged Items

Publish Items

POST
https://api.webflow.com/v2/collections/:collection_id/items/publish
POST
/v2/collections/:collection_id/items/publish
$curl -X POST https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items/publish \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "itemIds": [
> "643fd856d66b6528195ee2ca",
> "643fd856d66b6528195ee2cb",
> "643fd856d66b6528195ee2cc"
> ]
>}'
1{
2 "publishedItemIds": [
3 "643fd856d66b6528195ee2ca",
4 "643fd856d66b6528195ee2cb"
5 ],
6 "errors": [
7 "Staging item ID 643fd856d66b6528195ee2cf not found."
8 ]
9}

Publish an item or multiple items.

Required scope | cms:write

Was this page helpful?
Previous

List Live Items

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection

Request

An array of Item IDs
Item IDsobjectRequired
An array of Item IDs in a single locale
OR
Item IDs with LocalesobjectRequired

An array of Item IDs with included cmsLocaleIds

Response

Request was successful
publishedItemIdslist of strings
errorslist of strings

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error